/*

  IRF520 MOSFET Driver Module (PWM Mode)

  Parts required:
  - Arduino Board
  - IRF520 MOSFET Driver Module
  - External Power Supply

  Programming by : René Rasmussen
  Website : www.it-teknolog.dk
  Contact : renerasmussen@it-teknolog.dk
  Date : 18 Mar 2020
  Version : v1.0

  Modulet kan købes på www.arduinotech.dk

*/

int outputPin = 3;                                  // set outputPin to digital pin 3

void setup() {
  pinMode(outputPin, OUTPUT);                       // set outputPin to OUTPUT
}

void loop() {
  for (int value = 0; value <= 255; value++) {      // set the value for the digital pin (outputPin)
    analogWrite(outputPin, value);                  // start motor and increase the speed
    delay(100);                                     // wait 100ms
  }
  analogWrite(outputPin, 0);                        // set motor to off
  delay(5000);                                      // wait 5000ms
}
