/*

  IRF520 MOSFET Driver Module

  Parts required:
  - Arduino Board
  - IRF520 MOSFET Driver Module
  - External Power Supply

  Programming by : René Rasmussen
  Website : www.it-teknolog.dk
  Contact : renerasmussen@it-teknolog.dk
  Date : 18 Mar 2020
  Version : v1.0

  Modulet kan købes på www.arduinotech.dk

*/

int outputPin = 3;                            // set outputPin to digital pin 3                     

void setup() {
  pinMode(outputPin, OUTPUT);                 // set outputPin to OUTPUT        
}

void loop() {
  digitalWrite(outputPin, HIGH);              // start motor
  delay(5000);                                // wait 5000ms

  digitalWrite(outputPin, LOW);               // stop motor
  delay(5000);                                // wait 5000ms
}
